/* 登录判断 */
export function persistLogin(_this) {
    
   if(_this.$store.state){
       if (!_this.$store.state.result) { //缓存中有值，重新赋值
        console.info('persistLogin result',_this.$store.state.result);
           _this.$router.push('/');
       } else {
            console.info('persistLogin data',_this.$store.state.data);
           if(!_this.$store.state.data){
                console.info('persistLogin data=null',_this.$store.state.data);
               _this.$router.push('/');
           }
           else{
               if(isEmpty(_this.$store.state.data.userId)||isEmpty(_this.$store.state.data.userName)||isEmpty(_this.$store.state.data.userCode)){
                console.info('persistLogin data中某值为空',_this.$store.state.data);
                _this.$router.push('/');
               } 
           }
       }
       
   }
   else{
       console.info('_this.$store.state=null');
       _this.$router.push('/');
   }
}
/**
 * 判断变量是否为空，
 * @param  {[type]}  param 变量
 * @return {Boolean}      为空返回true，否则返回false。
 */
 export function isEmpty(param){
    console.info('isEmpty start传入参数',param);

    if(param){

        console.info('isEmpty',param);
        var param_type = typeof(param);
        if(param_type == 'object'){
            //要判断的是【对象】或【数组】或【null】等
            if(typeof(param.length) == 'undefined'){
                if(JSON.stringify(param) == "{}"){
                    return true;//空值，空对象
                }
            }else if(param.length == 0){
                return true;//空值，空数组
            }
        }else if(param_type == 'string'){
            //如果要过滤空格等字符
            var new_param = param.trim();
            if(new_param.length == 0){
                //空值，例如:带有空格的字符串" "。
                return true;
            }
        }else if(param_type == 'boolean'){
            if(!param){
                return true;
            }
        }else if(param_type== 'number'){
            if(!param){
                return true;
            }
        }
        return false;//非空值
    }else{
        //空值,例如：
        //(1)null
        //(2)可能使用了js的内置的名称，例如：var name=[],这个打印类型是字符串类型。
        //(3)空字符串''、""。
        //(4)数字0、00等，如果可以只输入0，则需要另外判断。
        return true;
    }
} 
/*获取当天日期*/
export function getCurrentDate(){
    var nowDate = new Date();
    var year = nowDate.getFullYear();
    var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1)
    : nowDate.getMonth() + 1;
    var day = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate
    .getDate();
    var dateStr = year + "-" + month + "-" + day;
    return dateStr;
} 
/*获取特定日期*/
export function getDate(mydate){
    var nowDate = new Date(mydate);
    var year = nowDate.getFullYear();
    var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1)
    : nowDate.getMonth() + 1;
    var day = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate
    .getDate();
    var dateStr = year + "-" + month + "-" + day;
    return dateStr;
} 

/*判断是否为整数*/
export function isInt(str){
    var r = /^\d+$/;　　//正整数    
    return r.test(str);
}